> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch workflow

> Get a workflow by ID



## OpenAPI

````yaml /_openapi/data-transformation-api.json GET /api/v1/streams/data-management/workflows/{id}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/workflows/{id}:
    get:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - WORKFLOWS
      summary: Workflow by ID
      description: Get a workflow by ID
      operationId: >-
        get_data_transformation_workflow_api_v1_streams_data_management_workflows__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataTransformationWorkflowResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    DataTransformationWorkflowResponse:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        filter_id:
          type: string
          format: uuid
          title: Filter Id
        data_source_config:
          anyOf:
            - $ref: '#/components/schemas/PubSubDataSourceMetadata'
            - $ref: '#/components/schemas/KafkaDataSourceMetadata'
          title: Data Source Config
        data_destination_config:
          anyOf:
            - $ref: '#/components/schemas/PubSubDataDestinationMetadata'
            - $ref: '#/components/schemas/KafkaDataDestinationMetadata'
          title: Data Destination Config
        external_workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Workflow Id
      type: object
      required:
        - filter_id
        - data_source_config
        - data_destination_config
      title: DataTransformationWorkflowResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PubSubDataSourceMetadata:
      properties:
        type:
          type: string
          const: PUBSUB
          title: Type
          default: PUBSUB
        topic:
          type: string
          title: Topic
      type: object
      required:
        - topic
      title: PubSubDataSourceMetadata
    KafkaDataSourceMetadata:
      properties:
        type:
          type: string
          const: KAFKA
          title: Type
          default: KAFKA
        topic:
          type: string
          title: Topic
      type: object
      required:
        - topic
      title: KafkaDataSourceMetadata
    PubSubDataDestinationMetadata:
      properties:
        type:
          type: string
          const: PUBSUB
          title: Type
          default: PUBSUB
        delivery_type:
          type: string
          enum:
            - PUSH
            - PULL
          title: Delivery Type
          default: PULL
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
      type: object
      title: PubSubDataDestinationMetadata
    KafkaDataDestinationMetadata:
      properties:
        type:
          type: string
          const: KAFKA
          title: Type
          default: KAFKA
      type: object
      title: KafkaDataDestinationMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````